Follow

Advisory for changes to SSL - June 9th, 2017 9PM PST

As part of our commitment to be compliant with Payment Card Industry Data Security Standards (PCI-DSS), an annual audit and quarterly security scans are performed.  A recent policy change requires the deprecation of older security standards, specifically SSL, TLS 1.0 and TLS 1.1, which will improve security by eliminating vulnerabilities available in these older standards.

The change is not supported by older web browsers and operating systems, which will affect approximately 1% of the AdPerfect user base. Due to the nature of this change, it is not possible to present an error message to affected users, who will experience page timeouts and connection issues for secure AdPerfect pages, such as administrative pages, and user login and account pages.

As of June 9, 2017 at 9pm PST, the following browsers may experience problems accessing the AdPerfect platforms and will need to be upgraded:

Internet Explorer 10 and older (current version is Microsoft Edge 38)
To get the latest version of Microsoft Edge click here.

Safari 7 and older (current version is Safari 11)
To get the latest version of Safari click here.

Google Chrome and Firefox are mostly unaffected, however should be upgraded if connection issues are experienced.
To get the latest version of Google Chrome click here.
To get the latest version of Firefox click here.

To test your current browser’s compatibility, please click here.


This change will be applicable to both administrative users and end customers. Administrative users are encouraged to upgrade their browsers immediately if they are using one of the unsupported versions of the browsers, or experiencing issues connecting to AdPerfect.

If you require access from older browsers, temporary access to the administrative interface will be available under https://casadmin-dep.adperfect.com. Note that this temporary URL will be deactivated without notice on July 31, 2017.

 

Comments

Powered by Zendesk